POWER9: Additional patches for 17.04 and 16.04.2

Bug #1667116 reported by bugproxy on 2017-02-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Seth Forshee
Yakkety
High
Seth Forshee
Zesty
High
Seth Forshee

Bug Description

Hello Canonical,

These are additional patches we need to be included into Ubuntu in order to allow it to support POWER9:

  38e69b52b powerpc/mm/radix: Skip ptesync in pte update helpers

  f4894b80b1 powerpc/mm/radix: Use ptep_get_and_clear_full when clearing pte for full mm

  ca94573b9c powerpc/mm/radix: Update pte update sequence for pte clear case

  18061c17c8 powerpc/mm: Update PROTFAULT handling in the page fault path

Additionally, we would like to include the following patch:

  http://patchwork.ozlabs.org/patch/730913/

All these patches are still on powerpc-next, and apply cleanly on ubuntu-zesty, as I my tree shows[1]

[1] https://github.com/leitao/ubuntu-zesty

CVE References

bugproxy (bugproxy) on 2017-02-22
tags: added: architecture-ppc64le bugnameltc-151957 severity-high targetmilestone-inin1704
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → linux (Ubuntu)

Leann,

More Power9 enablement patches for the kernel.

                      Michael

On 02/22/2017 01:19 PM, Launchpad Bug Tracker wrote:
> bugproxy (bugproxy) has assigned this bug to you for Ubuntu:
>
> Hello Canonical,
>
> These are additional patches we need to be included into Ubuntu in order
> to allow it to support POWER9:
>
> 38e69b52b powerpc/mm/radix: Skip ptesync in pte update helpers
>
> f4894b80b1 powerpc/mm/radix: Use ptep_get_and_clear_full when clearing
> pte for full mm
>
> ca94573b9c powerpc/mm/radix: Update pte update sequence for pte clear
> case
>
> 18061c17c8 powerpc/mm: Update PROTFAULT handling in the page fault
> path
>
> Additionally, we would like to include the following patch:
>
> http://patchwork.ozlabs.org/patch/730913/
>
> All these patches are still on powerpc-next, and apply cleanly on
> ubuntu-zesty, as I my tree shows[1]
>
> [1] https://github.com/leitao/ubuntu-zesty
>
> ** Affects: ubuntu
> Importance: Undecided
> Assignee: Taco Screen team (taco-screen-team)
> Status: New
>
>
> ** Tags: architecture-ppc64le bugnameltc-151957 severity-high targetmilestone-inin1704

--
Michael Hohnbaum
OIL Program Manager
Power (ppc64el) Development Project Manager
Canonical, Ltd.

Changed in linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → High
status: New → Triaged
Seth Forshee (sforshee) on 2017-02-24
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Seth Forshee (sforshee)
status: Triaged → Fix Committed
Changed in linux (Ubuntu Yakkety):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: New → In Progress
Download full text (3.7 KiB)

Hello Canonical,

These are additional patches we need to be included into Ubuntu in order to allow it to support POWER9:

38e69b52b powerpc/mm/radix: Skip ptesync in pte update helpers

f4894b80b1 powerpc/mm/radix: Use ptep_get_and_clear_full when clearing pte for full mm

ca94573b9c powerpc/mm/radix: Update pte update sequence for pte clear case

18061c17c8 powerpc/mm: Update PROTFAULT handling in the page fault path

Additionally, we would like to include the following patch:

http://patchwork.ozlabs.org/patch/730913/

All these patches are still on powerpc-next, and apply cleanly on ubuntu-zesty, as I my tree shows[1]

[1] https://github.com/leitao/ubuntu-zesty

Leann,

More Power9 enablement patches for the kernel.

Michael

On 02/22/2017 01:19 PM, Launchpad Bug Tracker wrote:
> bugproxy (bugproxy) has assigned this bug to you for Ubuntu:
>
> Hello Canonical,
>
> These are additional patches we need to be included into Ubuntu in order
> to allow it to support POWER9:
>
> 38e69b52b powerpc/mm/radix: Skip ptesync in pte update helpers
>
> f4894b80b1 powerpc/mm/radix: Use ptep_get_and_clear_full when clearing
> pte for full mm
>
> ca94573b9c powerpc/mm/radix: Update pte update sequence for pte clear
> case
>
> 18061c17c8 powerpc/mm: Update PROTFAULT handling in the page fault
> path
>
> Additionally, we would like to include the following patch:
>
> http://patchwork.ozlabs.org/patch/730913/
>
> All these patches are still on powerpc-next, and apply cleanly on
> ubuntu-zesty, as I my tree shows[1]
>
> [1] https://github.com/leitao/ubuntu-zesty
>
> ** Affects: ubuntu
> Importance: Undecided
> Assignee: Taco Screen team (taco-screen-team)
> Status: New
>
>
> ** Tags: architecture-ppc64le bugnameltc-151957 severity-high targetmilestone-inin1704

--
Michael Hohnbaum
OIL Program Manager
Power (ppc64el) Development Project Manager
Canonical, Ltd.
Hello Canonical,

These are additional patches we need to be included into Ubuntu in order to allow it to support POWER9:

38e69b52b powerpc/mm/radix: Skip ptesync in pte update helpers

f4894b80b1 powerpc/mm/radix: Use ptep_get_and_clear_full when clearing pte for full mm

ca94573b9c powerpc/mm/radix: Update pte update sequence for pte clear case

18061c17c8 powerpc/mm: Update PROTFAULT handling in the page fault path

Additionally, we would like to include the following patch:

http://patchwork.ozlabs.org/patch/730913/

All these patches are still on powerpc-next, and apply cleanly on ubuntu-zesty, as I my tree shows[1]

[1] https://github.com/leitao/ubuntu-zesty

Leann,

More Power9 enablement patches for the kernel.

Michael

On 02/22/2017 01:19 PM, Launchpad Bug Tracker wrote:
> bugproxy (bugproxy) has assigned this bug to you for Ubuntu:
>
> Hello Canonical,
>
> These are additional patches we need to be included into Ubuntu in order
> to allow it to support POWER9:
>
> 38e69b52b powerpc/mm/radix: Skip ptesync in pte update helpers
>
> f4894b80b1 powerpc/mm/radix: Use ptep_get_and_clear_full when clearing
> pte for full mm
>
> ca94573b9c powerpc/mm/radix: Update pte update sequence for pte clear
> case
>
> 18061c17c8 powerpc/mm: Update PROTFAULT handling in t...

Read more...

Brad Figg (brad-figg) on 2017-03-01
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 4.10.0-11.13

---------------
linux (4.10.0-11.13) zesty; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1669127

  * linux-tools-common should Depends: lsb-release (LP: #1667571)
    - [Config] linux-tools-common depends on lsb-release

  * Ubuntu (Zesty): When we miss LSI/INTx interrupts on slot, message is too
    imprecise (LP: #1668382)
    - of/irq: improve error report on irq discovery process failure

  * Zesty update to v4.10.1 stable release (LP: #1668993)
    - ptr_ring: fix race conditions when resizing
    - ip: fix IP_CHECKSUM handling
    - net: socket: fix recvmmsg not returning error from sock_error
    - tty: serial: msm: Fix module autoload
    - USB: serial: mos7840: fix another NULL-deref at open
    - USB: serial: cp210x: add new IDs for GE Bx50v3 boards
    - USB: serial: ftdi_sio: fix modem-status error handling
    - USB: serial: ftdi_sio: fix extreme low-latency setting
    - USB: serial: ftdi_sio: fix line-status over-reporting
    - USB: serial: spcp8x5: fix modem-status handling
    - USB: serial: opticon: fix CTS retrieval at open
    - USB: serial: ark3116: fix register-accessor error handling
    - USB: serial: console: fix uninitialised spinlock
    - x86/platform/goldfish: Prevent unconditional loading
    - goldfish: Sanitize the broken interrupt handler
    - netfilter: nf_ct_helper: warn when not applying default helper assignment
    - ACPICA: Linuxize: Restore and fix Intel compiler build
    - block: fix double-free in the failure path of cgwb_bdi_init()
    - rtlwifi: rtl_usb: Fix for URB leaking when doing ifconfig up/down
    - xfs: clear delalloc and cache on buffered write failure
    - Linux 4.10.1

  * [UBUNTU Zesty] mlx5 - Improve OVS offload driver (LP: #1668019)
    - net/sched: cls_flower: Disallow duplicate internal elements
    - net/sched: cls_flower: Properly handle classifier flags dumping
    - net/sched: cls_matchall: Dump the classifier flags
    - net/sched: Reflect HW offload status
    - net/sched: cls_flower: Reflect HW offload status
    - net/sched: cls_matchall: Reflect HW offloading status
    - net/sched: cls_u32: Reflect HW offload status
    - net/sched: cls_bpf: Reflect HW offload status
    - net/mlx5: Push min-inline mode resolution helper into the core
    - IB/mlx5: Enable Eth VFs to query their min-inline value for user-space
    - net/mlx5: Use exact encap header size for the FW input buffer
    - net/mlx5e: Add TC offloads matching on IPv6 encapsulation headers
    - net/mlx5e: TC ipv4 tunnel encap offload cosmetic changes
    - net/mlx5e: Use the full tunnel key info for encapsulation offload house- keeping
    - net/mlx5e: Maximize ip tunnel key usage on the TC offloading path
    - net/mlx5e: Support SRIOV TC encapsulation offloads for IPv6 tunnels
    - net/mlx5: E-Switch, Enlarge the FDB size for the switchdev mode
    - net/mlx5: Fix static checker warnings

  * [Hyper-V] Ubuntu 14.04.2 LTS Generation 2 SCSI Errors on VSS Based Backups
    (LP: #1470250)
    - SAUCE: Tools: hv: vss: Thaw the filesystem and continue after freeze fails

  * Ubuntu17.04: Need more patches for aacraid to bring up Bost...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-03-24 05:50 EDT-------
*** Bug 152883 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-03-24 06:43 EDT-------
(In reply to comment #12)
> This bug is awaiting verification that the kernel in -proposed solves the
> problem. Please test the kernel and update this bug with the results. If the
> problem is solved, change the tag 'verification-needed-yakkety' to
> 'verification-done-yakkety'. If the problem still exists, change the tag
> 'verification-needed-yakkety' to 'verification-failed-yakkety'.
>
> If verification is not done by 5 working days from today, this fix will be
> dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you!

Can you confirm kernel level which is having the required patches ?

Seth Forshee (sforshee) wrote :

The current yakkety-proposed kernel does not have these patches, but the next one should. I've removed the verification-needed-yakkety for now.

tags: removed: verification-needed-yakkety
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-03-24 08:27 EDT-------
(In reply to comment #16)
> The current yakkety-proposed kernel does not have these patches, but the
> next one should. I've removed the verification-needed-yakkety for now.

How about the current zesty-proposed kernel ? Does it have the patches included ?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-03-24 08:29 EDT-------
(In reply to comment #16)
> The current yakkety-proposed kernel does not have these patches, but the
> next one should. I've removed the verification-needed-yakkety for now.

How about the current zesty-proposed kernel ? Does it have the patches included ?

On Fri, Mar 24, 2017 at 12:39:27PM -0000, bugproxy wrote:
> ------- Comment From <email address hidden> 2017-03-24 08:29 EDT-------
> (In reply to comment #16)
> > The current yakkety-proposed kernel does not have these patches, but the
> > next one should. I've removed the verification-needed-yakkety for now.
>
> How about the current zesty-proposed kernel ? Does it have the patches
> included ?

The fix is already in the zesty release pocket as of 4.10.0-11.13, as
indicated in comment #4. By extension the zesty-proposed kernel also has
the patches.

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Launchpad Janitor (janitor) wrote :
Download full text (14.5 KiB)

This bug was fixed in the package linux - 4.8.0-49.52

---------------
linux (4.8.0-49.52) yakkety; urgency=low

  * linux: 4.8.0-49.52 -proposed tracker (LP: #1684427)

  * [Hyper-V] hv: util: move waiting for release to hv_utils_transport itself
    (LP: #1682561)
    - Drivers: hv: util: move waiting for release to hv_utils_transport itself

linux (4.8.0-48.51) yakkety; urgency=low

  * linux: 4.8.0-48.51 -proposed tracker (LP: #1682034)

  * [Hyper-V] hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
    (LP: #1681893)
    - Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()

linux (4.8.0-47.50) yakkety; urgency=low

  * linux: 4.8.0-47.50 -proposed tracker (LP: #1679678)

  * CVE-2017-6353
    - sctp: deny peeloff operation on asocs with threads sleeping on it

  * CVE-2017-5986
    - sctp: avoid BUG_ON on sctp_wait_for_sndbuf

  * vfat: missing iso8859-1 charset (LP: #1677230)
    - [Config] NLS_ISO8859_1=y

  * [Hyper-V] pci-hyperv: Use device serial number as PCI domain (LP: #1667527)
    - net/mlx4_core: Use cq quota in SRIOV when creating completion EQs

  * Regression: KVM modules should be on main kernel package (LP: #1678099)
    - [Config] powerpc: Add kvm-hv and kvm-pr to the generic inclusion list

  * linux-lts-xenial 4.4.0-63.84~14.04.2 ADT test failure with linux-lts-xenial
    4.4.0-63.84~14.04.2 (LP: #1664912)
    - SAUCE: apparmor: fix link auditing failure due to, uninitialized var

  * regession tests failing after stackprofile test is run (LP: #1661030)
    - SAUCE: fix regression with domain change in complain mode

  * Permission denied and inconsistent behavior in complain mode with 'ip netns
    list' command (LP: #1648903)
    - SAUCE: fix regression with domain change in complain mode

  * unexpected errno=13 and disconnected path when trying to open /proc/1/ns/mnt
    from a unshared mount namespace (LP: #1656121)
    - SAUCE: apparmor: null profiles should inherit parent control flags

  * apparmor refcount leak of profile namespace when removing profiles
    (LP: #1660849)
    - SAUCE: apparmor: fix ns ref count link when removing profiles from policy

  * tor in lxd: apparmor="DENIED" operation="change_onexec"
    namespace="root//CONTAINERNAME_<var-lib-lxd>" profile="unconfined"
    name="system_tor" (LP: #1648143)
    - SAUCE: apparmor: Fix no_new_privs blocking change_onexec when using stacked
      namespaces

  * apparmor oops in bind_mnt when dev_path lookup fails (LP: #1660840)
    - SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup fails

  * apparmor auditing denied access of special apparmor .null fi\ le
    (LP: #1660836)
    - SAUCE: apparmor: Don't audit denied access of special apparmor .null file

  * apparmor label leak when new label is unused (LP: #1660834)
    - SAUCE: apparmor: fix label leak when new label is unused

  * apparmor reference count bug in label_merge_insert() (LP: #1660833)
    - SAUCE: apparmor: fix reference count bug in label_merge_insert()

  * apparmor's raw_data file in securityfs is sometimes truncated (LP: #1638996)
    - SAUCE: apparmor: fix replacement race in reading rawdata

  * unix domain socket cross permission check failing with n...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers